TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POSTBuying Intents POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Email Preferences GETUpdate Email Preferences PUTOne-Click Unsubscribe (Rfc 8058) POSTUnsubscribe From Email GET
Email preferences

Update Email Preferences

PUT
/v0/email-preferences

Authorization

Bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

  • [key: string]
    any

Response Body

application/json

application/json

curl -X PUT "https://api.theirstack.com/v0/email-preferences" \  -H "Content-Type: application/json" \  -d '{}'
{
  "form_data": {
    "property1": {
      "property1": true,
      "property2": true
    },
    "property2": {
      "property1": true,
      "property2": true
    }
  },
  "schema": {}
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

How is this guide?

Last updated on

Get Email Preferences GET

Previous Page

One-Click Unsubscribe (Rfc 8058) POST

Next Page